Create Promo Code
curl --request POST \
--url https://api.withflex.com/v1/promo_codes \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"promo_code": {
"coupon_id": "fcoup_1234567890",
"code": "SUMMER2016",
"max_redemptions": 100,
"customer": "fcus_01HACM7FZ1084XB1GB6053VM0D",
"metadata": {
"key": "value"
}
}
}
'import requests
url = "https://api.withflex.com/v1/promo_codes"
payload = { "promo_code": {
"coupon_id": "fcoup_1234567890",
"code": "SUMMER2016",
"max_redemptions": 100,
"customer": "fcus_01HACM7FZ1084XB1GB6053VM0D",
"metadata": { "key": "value" }
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
promo_code: {
coupon_id: 'fcoup_1234567890',
code: 'SUMMER2016',
max_redemptions: 100,
customer: 'fcus_01HACM7FZ1084XB1GB6053VM0D',
metadata: {key: 'value'}
}
})
};
fetch('https://api.withflex.com/v1/promo_codes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"promo_code": {
"promo_code_id": "fpromo_01HACM7FZ1084XB1GB6053VM0E",
"code": "SUMMER2016",
"coupon": {
"coupon_id": "fcoup_1234567890",
"amount_off": 100,
"applies_to": null,
"duration": "once",
"duration_in_months": null,
"metadata": {
"key": "value"
},
"name": "Coupon",
"percent_off": 10,
"max_redemptions": 100,
"times_redeemed": 0,
"valid": true,
"created_at": "2024-05-17T14:59:21Z",
"test_mode": true
},
"max_redemptions": 100,
"times_redeemed": 0,
"created_at": "2024-05-17T14:59:21Z",
"customer": "fcus_01HACM7FZ1084XB1GB6053VM0D",
"active": true,
"metadata": {
"key": "value"
},
"test_mode": false
}
}{
"code": "string",
"detail": "string"
}{
"code": "string",
"detail": "string"
}{
"code": "string",
"detail": "string"
}{
"code": "string",
"detail": "string"
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}{
"code": "string",
"detail": "string"
}Create Promo Code
Creates a promotion code referencing an existing coupon. If code is omitted, a unique
code is generated automatically. The supplied code must be unique across your promotion
codes.
POST
/
v1
/
promo_codes
Create Promo Code
Authorizations
Use a Bearer token to access this API.
Body
application/json
An envelope wrapping a single promotion code object.
An envelope wrapping a single promotion code object.
The promotion code.
Show child attributes
Show child attributes
Example:
{
"coupon_id": "fcoup_1234567890",
"code": "SUMMER2016",
"max_redemptions": 100,
"customer": "fcus_01HACM7FZ1084XB1GB6053VM0D",
"metadata": { "key": "value" }
}
Response
An envelope wrapping a single promotion code object.
An envelope wrapping a single promotion code object.
The promotion code.
Show child attributes
Show child attributes
Example:
{
"promo_code_id": "fpromo_01HACM7FZ1084XB1GB6053VM0E",
"code": "SUMMER2016",
"coupon": {
"coupon_id": "fcoup_1234567890",
"amount_off": 100,
"applies_to": null,
"duration": "once",
"duration_in_months": null,
"metadata": { "key": "value" },
"name": "Coupon",
"percent_off": 10,
"max_redemptions": 100,
"times_redeemed": 0,
"valid": true,
"created_at": "2024-05-17T14:59:21Z",
"test_mode": true
},
"max_redemptions": 100,
"times_redeemed": 0,
"created_at": "2024-05-17T14:59:21Z",
"customer": "fcus_01HACM7FZ1084XB1GB6053VM0D",
"active": true,
"metadata": { "key": "value" },
"test_mode": false
}
⌘I